Bug 1933952 - Review Request: xpr - Convert xwd window dumps to printer formats
Summary: Review Request: xpr - Convert xwd window dumps to printer formats
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1933920
TreeView+ depends on / blocked
 
Reported: 2021-03-02 05:18 UTC by Peter Hutterer
Modified: 2021-03-25 00:17 UTC (History)
2 users (show)

Fixed In Version: xpr-1.0.5-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-04 11:45:53 UTC
Type: ---
Embargoed:
panemade: fedora-review+


Attachments (Terms of Use)

Description Peter Hutterer 2021-03-02 05:18:44 UTC
Spec URL: https://people.freedesktop.org/~whot/xpr/xpr.spec
SRPM URL: https://people.freedesktop.org/~whot/xpr/xpr-1.0.5-1.fc33.src.rpm
Description:
xpr takes as input a window dump file produced by xwd
and formats it for output on various types of printers.
Fedora Account System Username: whot


Note: This utility was previously provided by xorg-x11-apps and is being split
into its own package, see Bug 1933920.

Comment 1 Parag AN(पराग) 2021-03-02 13:15:57 UTC
Not doing full package review here.

Rpmlint
-------
Checking: xpr-1.0.5-1.fc35.x86_64.rpm
          xpr-debuginfo-1.0.5-1.fc35.x86_64.rpm
          xpr-debugsource-1.0.5-1.fc35.x86_64.rpm
          xpr-1.0.5-1.fc35.src.rpm
xpr.x86_64: W: spelling-error Summary(en_US) xwd -> fwd
xpr.x86_64: W: spelling-error %description -l en_US xwd -> fwd
xpr.src: W: spelling-error Summary(en_US) xwd -> fwd
xpr.src: W: spelling-error %description -l en_US xwd -> fwd
4 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (debuginfo)
-------------------
Checking: xpr-debuginfo-1.0.5-1.fc35.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
xpr.x86_64: W: spelling-error Summary(en_US) xwd -> fwd
xpr.x86_64: W: spelling-error %description -l en_US xwd -> fwd
3 packages and 0 specfiles checked; 0 errors, 2 warnings.



Source checksums
----------------
https://www.x.org/pub/individual/app/xpr-1.0.5.tar.bz2 :
  CHECKSUM(SHA256) this package     : b936e0f1f8d63f5ad097a0bbdce2e67c34f5d49b7263f32a832ff62d394d1e1f
  CHECKSUM(SHA256) upstream package : b936e0f1f8d63f5ad097a0bbdce2e67c34f5d49b7263f32a832ff62d394d1e1f


Requires
--------
xpr (rpmlib, GLIBC filtered):
    /usr/bin/sh
    libX11.so.6()(64bit)
    libXmuu.so.1()(64bit)
    libc.so.6()(64bit)
    rtld(GNU_HASH)

xpr-debuginfo (rpmlib, GLIBC filtered):

xpr-debugsource (rpmlib, GLIBC filtered):



Provides
--------
xpr:
    xpr
    xpr(x86-64)

xpr-debuginfo:
    debuginfo(build-id)
    xpr-debuginfo
    xpr-debuginfo(x86-64)

xpr-debugsource:
    xpr-debugsource
    xpr-debugsource(x86-64)

This package looks good to me.

APPROVED.

Comment 2 Tomas Hrcka 2021-03-03 13:25:21 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/xpr

Comment 3 Fedora Update System 2021-03-04 12:24:06 UTC
FEDORA-2021-c32498766f has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-c32498766f

Comment 4 Fedora Update System 2021-03-04 17:00:07 UTC
FEDORA-2021-c32498766f has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-c32498766f \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-c32498766f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-03-25 00:17:08 UTC
FEDORA-2021-c32498766f has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.